# Face Landmarker

## CLI Arguments

### Face Landmarker Model

Choose the model responsible for detecting the face landmarks.

Argument: `--face-landmarker-model`

Default: `2dfan4`

Choices:&#x20;

* `many`
* `2dfan4`
* `peppa_wutz`

Example: `--face-landmarker-model peppa_wutz`

### Face Landmarker Score

Filter the detected face landmarks base on the confidence score.

Argument: `--face-landmarker-score`

Default: `0.5`

Range: `0` to `1` at `0.05`

Example: `--face-landmarker-score 0.7`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[face_landmarker]
face_landmarker_model = peppa_wutz
face_landmarker_score = 0.7
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/face-landmarker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
